Package nl.tue.id.oocsi.client.protocol

# Class MultiMessage

java.lang.Object
nl.tue.id.oocsi.OOCSIEvent
nl.tue.id.oocsi.client.protocol.OOCSIMessage
nl.tue.id.oocsi.client.protocol.MultiMessage

All Implemented Interfaces:
  `OOCSIData`

    public class MultiMessage
    extends OOCSIMessage

- ## Field Summary

  ### Fields inherited from class nl.tue.id.oocsi.client.protocol.OOCSIMessage

  `oocsi`

  ### Fields inherited from class nl.tue.id.oocsi.OOCSIEvent

  `channelName, data, sender, timestamp`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MultiMessage​(OOCSIClient oocsi)` |
  `MultiMessage​(OOCSIClient oocsi, java.lang.String channelName)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `MultiMessage` | `add​(OOCSIMessage msg)` |
  `MultiMessage` | `data​(java.lang.String key, boolean value)` | store data in message
  `MultiMessage` | `data​(java.lang.String key, double value)` | store data in message
  `MultiMessage` | `data​(java.lang.String key, float value)` | store data in message
  `MultiMessage` | `data​(java.lang.String key, int value)` | store data in message
  `MultiMessage` | `data​(java.lang.String key, long value)` | store data in message
  `MultiMessage` | `data​(java.lang.String key, java.lang.Object value)` | store data in message
  `MultiMessage` | `data​(java.lang.String key, java.lang.String value)` | store data in message
  `MultiMessage` | `data​(java.util.Map<java.lang.String,​? extends java.lang.Object> bulkData)` | store bulk data in message
  `java.util.List<OOCSIMessage>` | `getMessages()` | retrieve all messages to allow for call returns
  `void` | `send()` | send message
  `void` | `sendAndWait()` | send and wait for implicit timeout of 2 seconds
  `void` | `sendAndWait​(int timeoutMS)` | send and wait for given timeout

  ### Methods inherited from class nl.tue.id.oocsi.client.protocol.OOCSIMessage

  `data, internal`

  ### Methods inherited from class nl.tue.id.oocsi.OOCSIEvent

  `getArray, getBoolean, getBooleanArray, getChannel, getDouble, getDoubleArray, getFloat, getFloatArray, getInt, getIntArray, getLong, getLongArray, getObject, getRecipient, getSender, getString, getString, getStringArray, getTime, getTimestamp, has, keys, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MultiMessage

    public MultiMessage​(OOCSIClient oocsi)

  - ### MultiMessage

    public MultiMessage​(OOCSIClient oocsi, java.lang.String channelName)

- ## Method Details

  - ### add

    public MultiMessage add​(OOCSIMessage msg)

  - ### data

    public MultiMessage data​(java.lang.String key, java.lang.String value)
    Description copied from class: `OOCSIMessage`
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Overrides:
      `data` in class `OOCSIMessage`
    Returns:

  - ### data

    public MultiMessage data​(java.lang.String key, boolean value)
    Description copied from class: `OOCSIMessage`
    store data in message
    Overrides:
      `data` in class `OOCSIMessage`
    Returns:

  - ### data

    public MultiMessage data​(java.lang.String key, int value)
    Description copied from class: `OOCSIMessage`
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Overrides:
      `data` in class `OOCSIMessage`
    Returns:

  - ### data

    public MultiMessage data​(java.lang.String key, float value)
    Description copied from class: `OOCSIMessage`
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Overrides:
      `data` in class `OOCSIMessage`
    Returns:

  - ### data

    public MultiMessage data​(java.lang.String key, double value)
    Description copied from class: `OOCSIMessage`
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Overrides:
      `data` in class `OOCSIMessage`
    Returns:

  - ### data

    public MultiMessage data​(java.lang.String key, long value)
    Description copied from class: `OOCSIMessage`
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Overrides:
      `data` in class `OOCSIMessage`
    Returns:

  - ### data

    public MultiMessage data​(java.lang.String key, java.lang.Object value)
    Description copied from class: `OOCSIMessage`
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Overrides:
      `data` in class `OOCSIMessage`
    Returns:

  - ### data

    public MultiMessage data​(java.util.Map<java.lang.String,​? extends java.lang.Object> bulkData)
    Description copied from class: `OOCSIMessage`
    store bulk data in message
    Specified by:
      `data` in interface `OOCSIData`
    Overrides:
      `data` in class `OOCSIMessage`
    Returns:

  - ### send

    public void send()
    Description copied from class: `OOCSIMessage`
    send message
    Overrides:
      `send` in class `OOCSIMessage`

  - ### sendAndWait

    public void sendAndWait()
    send and wait for implicit timeout of 2 seconds

  - ### sendAndWait

    public void sendAndWait​(int timeoutMS)
    send and wait for given timeout
    Parameters:
      `timeoutMS` -

  - ### getMessages

    public java.util.List<OOCSIMessage> getMessages()
    retrieve all messages to allow for call returns
    Returns: